package cn.iocoder.yudao.module.mes.dal.mysql.record;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.dal.dataobject.record.RecordGanzaoDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 干燥记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface RecordGanzaoMapper extends BaseMapperX<RecordGanzaoDO> {

    default PageResult<RecordGanzaoDO> selectPage(PageParam reqVO, Long recordId) {
        return selectPage(reqVO, new LambdaQueryWrapperX<RecordGanzaoDO>()
                .eq(RecordGanzaoDO::getRecordId, recordId)
                .orderByDesc(RecordGanzaoDO::getId));
    }

    default int deleteByRecordId(Long recordId) {
        return delete(RecordGanzaoDO::getRecordId, recordId);
    }

}